{
  "name": "judge4c",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint"
  },
  "dependencies": {
    "@auth/prisma-adapter": "^2.7.4",
    "@monaco-editor/react": "^4.6.0",
    "@prisma/client": "^6.1.0",
    "@radix-ui/react-avatar": "^1.1.2",
    "@radix-ui/react-dropdown-menu": "^2.1.4",
    "@radix-ui/react-scroll-area": "^1.2.2",
    "@radix-ui/react-select": "^2.1.4",
    "@radix-ui/react-slider": "^1.2.2",
    "@radix-ui/react-slot": "^1.1.1",
    "@radix-ui/react-tabs": "^1.1.2",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "devicons-react": "^1.4.0",
    "dockerode": "^4.0.3",
    "gitea-js": "^1.22.0",
    "lucide-react": "^0.469.0",
    "monaco-editor": "0.36.1",
    "monaco-languageclient": "5.0.1",
    "next": "15.1.3",
    "next-auth": "^5.0.0-beta.25",
    "normalize-url": "~8.0.0",
    "react": "^19.0.0",
    "react-dom": "^19.0.0",
    "tailwind-merge": "^2.6.0",
    "tailwindcss-animate": "^1.0.7",
    "vscode-languageclient": "~8.1.0",
    "vscode-ws-jsonrpc": "3.0.0",
    "zustand": "^5.0.2"
  },
  "devDependencies": {
    "@eslint/eslintrc": "^3",
    "@shikijs/monaco": "^1.26.1",
    "@types/dockerode": "^3.3.33",
    "@types/node": "^20",
    "@types/react": "^19",
    "@types/react-dom": "^19",
    "eslint": "^9",
    "eslint-config-next": "15.1.3",
    "postcss": "^8",
    "prisma": "^6.1.0",
    "shiki": "^1.26.1",
    "tailwindcss": "^3.4.1",
    "typescript": "^5"
  }
}